- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions

# QLocalServer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qlocalserver.h.

`#include <qlocalserver.h>`

Inheritance diagram for QLocalServer:
[legend]

List of all members.

## Signals
void | newConnection ()
## Public Member Functions
| QLocalServer (QObject *parent=0)
| ~QLocalServer ()
void | close ()
QString | errorString () const
virtual bool | hasPendingConnections () const
bool | isListening () const
bool | listen (const QString &name)
int | maxPendingConnections () const
virtual QLocalSocket * | nextPendingConnection ()
QString | serverName () const
QString | fullServerName () const
QAbstractSocket::SocketError | serverError () const
void | setMaxPendingConnections (int numConnections)
bool | waitForNewConnection (int msec=0, bool *timedOut=0)
## Static Public Member Functions
static bool | removeServer (const QString &name)
## Protected Member Functions
virtual void | incomingConnection (quintptr socketDescriptor)

## Constructor & Destructor Documentation

QLocalServer | ( | QObject * | parent = `0` | ) |

~QLocalServer | ( |  | ) |

## Member Function Documentation

void newConnection | ( |  | ) | `[signal]`

Search for all occurrences

void close | ( |  | ) |

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

virtual bool hasPendingConnections | ( |  | ) | const `[virtual]`

Search for all occurrences

bool isListening | ( |  | ) | const

Search for all occurrences

bool listen | ( | const QString & | name | ) |

Search for all occurrences

int maxPendingConnections | ( |  | ) | const

Search for all occurrences

virtual QLocalSocket* nextPendingConnection | ( |  | ) | `[virtual]`

Search for all occurrences

QString serverName | ( |  | ) | const

Search for all occurrences

QString fullServerName | ( |  | ) | const

Search for all occurrences

static bool removeServer | ( | const QString & | name | ) | `[static]`

Search for all occurrences

QAbstractSocket::SocketError serverError | ( |  | ) | const

Search for all occurrences

void setMaxPendingConnections | ( | int | numConnections | ) |

Search for all occurrences

bool waitForNewConnection | ( | int | msec = `0`,
|  | bool * | timedOut = `0`
| ) |  |

Search for all occurrences

virtual void incomingConnection | ( | quintptr | socketDescriptor | ) | `[protected, virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qlocalserver.h

QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer
QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer QLocalServer